using System;

internal sealed class Delegate45 : MulticastDelegate
{
	public extern Type Invoke(RuntimeTypeHandle runtimeTypeHandle_0);

	public static Type smethod_0(RuntimeTypeHandle runtimeTypeHandle_0, Delegate45 delegate45_1)
	{
		return delegate45_1(runtimeTypeHandle_0);
	}

	public extern Delegate45(object object_0, IntPtr intptr_0);

	static Delegate45()
	{
		Class10.smethod_13(typeof(Delegate45).TypeHandle);
	}

	internal static Delegate45 delegate45_0;
}
